jQuery(function () {
    jQuery('textarea[data-editor]').each(function () {
        var textarea = jQuery(this);

        var mode = textarea.data('editor');

        var editDiv = jQuery('<div>', {
            position: 'absolute',
            width: textarea.width(),
            height: textarea.height(),
            'class': textarea.attr('class')
        }).insertBefore(textarea);

        textarea.css('display', 'none');

        var editor = ace.edit(editDiv[0]);
        editor.renderer.setShowGutter(true);
        editor.renderer.setShowPrintMargin(false);
        editor.getSession().setValue(textarea.val());
        editor.getSession().setMode("ace/mode/" + mode);
        editor.setTheme("ace/theme/dreamweaver");

        // copy back to textarea on form change...
        editor.getSession().on('change', function () {
            textarea.val(editor.getSession().getValue());
            jQuery(".fade-out").fadeTo("slow", 0);
        })

    });
});